Bug 1288065 - Review Request: perl-Pod-Tidy - Reformatting Pod Processor
Review Request: perl-Pod-Tidy - Reformatting Pod Processor
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On: 1288007
Blocks: 1288541
  Show dependency treegraph
 
Reported: 2015-12-03 07:34 EST by Jitka Plesnikova
Modified: 2015-12-09 08:32 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Pod-Tidy-0.10-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-09 08:32:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2015-12-03 07:34:38 EST
Spec URL: https://jplesnik.fedorapeople.org/perl-Pod-Tidy/perl-Pod-Tidy.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Pod-Tidy/perl-Pod-Tidy-0.10-1.fc24.src.rpm

Description:
This module provides the heavy lifting needed by the podtidy utility
although the API should be general enough that it can be used directly.

podtidy processes a Pod document and attempts to tidy it's formatting.

Fedora Account System Username: jplesnik@redhat.com
Comment 1 Petr Šabata 2015-12-08 10:14:31 EST
* Missing buildtime deps:
  - Getopt::Long, scripts/podtidy:12
  - Pod::Usage, scripts/podtidy:13
  - Text::Glob >= 0.06, scripts/podtidy:10
  The script is tested via Test::Cmd in t/09_podtidy.t

* The README file isn't all that useful; I wouldn't package it.
Comment 3 Upstream Release Monitoring 2015-12-08 10:49:57 EST
psabata's scratch build of perl-Pod-Tidy-0.10-2.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12112417
Comment 4 Petr Šabata 2015-12-08 10:56:27 EST
Okay, approving.

Please, also note the FSF address in the LICENSE file is outdated.
Let upstream know.
Comment 5 Gwyn Ciesla 2015-12-09 08:20:55 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Pod-Tidy
Comment 6 Jitka Plesnikova 2015-12-09 08:32:50 EST
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.